| Home | Libraries | People | FAQ | More

## Struct template average_base<Left, Right, typename enable_if< are_integral< Left, Right > >::type>

boost::numeric::functional::average_base<Left, Right, typename enable_if< are_integral< Left, Right > >::type>

## Synopsis

    template<typename Left, typename Right>
    struct average_base<Left, Right, typename enable_if< are_integral< Left, Right > >::type> : public boost::numeric::functional::divides< Left, Right, LeftTag, RightTag >
    {
    };